お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2011-12-15 20:01:24

makopi
メンバ
登録日: 2009-11-01

CAELinux2011 のアップデートが出来なくなりました。

タイトルの通り、CAELinux2011 を試用しています。
久しぶりに起動して
sudo apt-get update
を実行したところ、下と同様の表示になりました。(下のは再インストール直後のアップデートでなりました。)

コード:

「略」
Hit http://archive.ubuntu.com lucid-security/multiverse Sources
Fetched 547B in 3s (170B/s)
Reading package lists... Done
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://download.opensuse.org ./ Release: The following signatures were invalid: KEYEXPIRED 1322380932

W: Failed to fetch http://download.opensuse.org/repositories/home:/popinet/xUbuntu_10.04/./Release  

W: Some index files failed to download, they have been ignored, or old ones used instead.
[email protected]:~$

異常が表示される迄は普通にアップデート出来ていたのですが・・。
これはどの様に対処すれば良いのでしょうか?
リポジトリ関係に知識はないので躊躇しています。

宜しくお願いします。

オフライン

 

#2 2011-12-15 20:03:42

makopi
メンバ
登録日: 2009-11-01

Re: CAELinux2011 のアップデートが出来なくなりました。

追記します。
CAELinux2011 は Ubuntu11.04.3LTS をベースにしています。

オフライン

 

#3 2011-12-17 07:52:28

array
メンバ
登録日: 2007-03-13

Re: CAELinux2011 のアップデートが出来なくなりました。

返答がつかないようなのでちょっと調べてみました。
CAELinux2011は10.04LTSの派生みたいですね。エラーメッセージを見る限りサーバーがらみで何かエラーっぽいので別のサーバーを選んでみると良いのかもしれません。
普通にブラウザから見る限りデータなどはあるようなのでタイミング的な問題のような気もします。
一応おまじない的に
apt-get update

apt-get upgrade
をsudoでやってみてはどうでしょう?

オフライン

 

#4 2011-12-17 08:52:46

STGSAGWAN
ゲスト

Re: CAELinux2011 のアップデートが出来なくなりました。

シグネチャが期限切れだと、メッセージにちゃんと出力されてますよ。
英語を全部読みましょう。
あと、先頭に「W:」が付いているのでエラーじゃないです、警告です。
見やすいように、適当な所で改行しました。

W: A error occurred during the signature verification.
The repository is not updated and the previous index files will be used.
GPG error: http://download.opensuse.org ./ Release
: The following signatures were invalid
: KEYEXPIRED 1322380932

2011-11-27で期限切れです。

コード:

$ wget -q -O- http://download.opensuse.org/repositories/home:/popinet/xUbuntu_10.04/Release.key | sudo apt-key add -
OK

$ sudo apt-key list
(長いので一部省略)
pub   1024D/A100AB55 2009-09-18 [満了: 2011-11-27]
uid                  home:popinet OBS Project <home:[email protected]>

2011-11-23以降更新されてないです。
http://download.opensuse.org/repositories/home:/popinet/xUbuntu_10.04/

 

#5 2011-12-18 01:07:26

makopi
メンバ
登録日: 2009-11-01

Re: CAELinux2011 のアップデートが出来なくなりました。

STGSAGWAN さん、ありがとうございます。
少しずつ理解してきました。
すみませんが一つ教えていただけませんか?
現在の状況として gerris 等のパッケージが 20111007 (多分、CAELinux をインストールした時のもの?)なのですが、
これを最新の 20111123 にするには直接ダウンロードして手動でインストールするものなのでしょうか?
それとも別に作法があるのでしょうか?

よろしくお願いします。

オフライン

 

#6 2011-12-18 08:57:10

STGSAGWAN
ゲスト

Re: CAELinux2011 のアップデートが出来なくなりました。

makopi による投稿:

STGSAGWAN さん、ありがとうございます。
少しずつ理解してきました。
すみませんが一つ教えていただけませんか?
現在の状況として gerris 等のパッケージが 20111007 (多分、CAELinux をインストールした時のもの?)なのですが、
これを最新の 20111123 にするには直接ダウンロードして手動でインストールするものなのでしょうか?
それとも別に作法があるのでしょうか?

よろしくお願いします。

名指しで質問を受けましたが、私はこれ以上は今回の状況に興味が湧かないので、誰か別の人を頼ってください。

 

#7 2011-12-18 10:25:52

makopi
メンバ
登録日: 2009-11-01

Re: CAELinux2011 のアップデートが出来なくなりました。

アップデートされるまで待つことにしました。
有難うございました。

オフライン

 

#8 2012-03-27 02:51:33

ubuntu9090
メンバ
登録日: 2012-02-22

Re: CAELinux2011 のアップデートが出来なくなりました。

ソフトウェアソースで問題と思われるソースコードのチェックを外せばいいと思います!
updateを待つより根っこから取り除いたほうがいいと思いますよん
まあ、僕ならそうします。
なお、無責任ですが 僕のコメントで不具合がでても責任は負いかねます :cool:
でも、不具合がでたら解決できるように頑張りますよ:D

オフライン

 

Board footer

Powered by FluxBB